import { PreToken } from "./PreToken";
export declare type TokenReturnType = {
    startSnippet: boolean;
    consumeCharacter: boolean;
    preToken: null | PreToken;
};
export declare type ILoopState = {
    ensureFlushed(callback: () => TokenReturnType): TokenReturnType;
    whileLoop(callback: (nextChar: number) => TokenReturnType): PreToken | null;
};
export declare type IPreTokenizer = {
    handleDanglingToken(): PreToken | null;
    createNextToken(loopState: ILoopState): null | PreToken;
};
