import * as astn from "../../interface";
import * as tokenLevel from "../../../tokenLevel/interface";
import { IPreTokenizer } from "./IPreTokenizer";
import { ILocationState } from "./ILocationState";
declare type OnError = ($: {
    error: astn.TokenError;
    range: tokenLevel.Range;
}) => void;
export declare function createPreTokenizer(locationState: ILocationState, onError: OnError): IPreTokenizer;
export {};
