import * as astn from "../../interface";
import * as etc from "../../../etc/interface";
import * as tokenLevel from "../../../tokenLevel/interface";
import { TokenizerOptions } from "./TokenizerOptions";
import { IPreTokenStreamConsumer } from "./IPreTokenStreamConsumer";
/**
 *
 * @param tokenStreamConsumer
 * @param onError
 * @param opt
 */
export declare function createStreamPreTokenizer(tokenStreamConsumer: IPreTokenStreamConsumer, onError: ($: {
    error: astn.TokenError;
    range: tokenLevel.Range;
}) => void, opt?: TokenizerOptions): etc.IStreamConsumer<string, null>;
