"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTokenizer = void 0;
const createStreamPreTokenizer_1 = require("./createStreamPreTokenizer");
const createTokenizer2_1 = require("./createTokenizer2");
function createTokenizer($p) {
    return (0, createStreamPreTokenizer_1.createStreamPreTokenizer)((0, createTokenizer2_1.createTokenizer2)($p.parser, ($) => {
        $p.onError({
            error: ["tokenizer", $.error],
            range: $.range,
        });
    }), ($) => {
        $p.onError({
            error: ["pre", $.error],
            range: $.range,
        });
    });
}
exports.createTokenizer = createTokenizer;
