import * as astn from "../../interface";
import * as grammar from "../../../grammar/interface";
import * as tokenLevel from "../../../tokenLevel/interface";
import { IPreTokenStreamConsumer } from "./IPreTokenStreamConsumer";
export declare function printTokenizer2Error(error: astn.Tokenizer2Error): string;
export declare function createTokenizer2(parser: grammar.IStructureParser<tokenLevel.TokenizerAnnotationData>, onError2: ($: {
    error: astn.Tokenizer2Error;
    range: tokenLevel.Range;
}) => void): IPreTokenStreamConsumer;
