"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createValueHandler = exports.createRequiredValueHandler = void 0;
const pr = __importStar(require("pareto-runtime"));
function createRequiredValueHandler(context, valueType, onMissing) {
    return {
        exists: createValueHandler(context, valueType),
        missing: onMissing !== undefined ? onMissing : () => { },
    };
}
exports.createRequiredValueHandler = createRequiredValueHandler;
function createValueHandler(context, valueType) {
    switch (valueType[0]) {
        case "dicionary": {
            const $1 = valueType[1];
            return context.expectDictionary($1);
        }
        case "list": {
            const $1 = valueType[1];
            return context.expectList($1);
        }
        case "quoted string": {
            const $1 = valueType[1];
            return context.expectQuotedString($1);
        }
        case "simple string": {
            const $1 = valueType[1];
            return context.expectSimpleString($1);
        }
        case "tagged union": {
            const $1 = valueType[1];
            return context.expectTaggedUnion($1);
        }
        case "verbose group": {
            const $1 = valueType[1];
            return context.expectVerboseGroup($1);
        }
        default:
            return pr.au(valueType[0]);
    }
}
exports.createValueHandler = createValueHandler;
