"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.printTokenError = void 0;
const pr = __importStar(require("pareto-runtime"));
function printTokenError($) {
    switch ($.type[0]) {
        case "expected hexadecimal digit": {
            const $$ = $.type[1];
            return `expected hexadecimal digit: 0-9, A-F or a-f, but found ${$$.found}`;
        }
        case "expected special character after escape slash": {
            const $$ = $.type[1];
            return `expected special character after escape slash, but found ${$$.found}`;
        }
        case "found dangling slash": {
            return `found dangling slash`;
        }
        case "found dangling slash at the end of the text": {
            return `found dangling slash at the end of the text`;
        }
        case "unterminated block comment": {
            return `unterminated block comment`;
        }
        case "unterminated string": {
            return `unterminated string`;
        }
        default:
            return pr.au($.type[0]);
    }
}
exports.printTokenError = printTokenError;
