"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSerializedNonWrappedString = exports.createSerializedQuotedString = exports.createSerializedApostrophedString = exports.createSerializedMultilineString = void 0;
const pr = __importStar(require("pareto-runtime"));
function createSerializedMultilineString(lines, indentation) {
    //don't escape tabs, newlines!
    return `\`${lines.map((line, index) => `${index === 0 ? "" : indentation}${pr.escapeString({
        str: line,
        escapeTabsAndNewLines: false,
        wrapperToEscape: "`",
    })}`).join("")}\``;
}
exports.createSerializedMultilineString = createSerializedMultilineString;
function createSerializedApostrophedString(str) {
    return `'${pr.escapeString({
        str: str,
        escapeTabsAndNewLines: true,
        wrapperToEscape: "'",
    })}'`;
}
exports.createSerializedApostrophedString = createSerializedApostrophedString;
function createSerializedQuotedString(str) {
    return `"${pr.escapeString({
        str: str,
        escapeTabsAndNewLines: true,
        wrapperToEscape: "\"",
    })}"`;
}
exports.createSerializedQuotedString = createSerializedQuotedString;
function createSerializedNonWrappedString(str) {
    return pr.escapeString({
        str: str,
        escapeTabsAndNewLines: false,
        wrapperToEscape: null,
    });
}
exports.createSerializedNonWrappedString = createSerializedNonWrappedString;
