import { IStructureParser } from "../../../grammar/interface/interfaces/IStructureParser";
import { IStructureHandler } from "../../../grammar/interface/interfaces/IStructureHandler";
import { IStructureErrorHandler } from "./IStructureErrorHandler";
export declare type CreateStructureParser<EventAnnotation> = ($p: IStructureHandler<EventAnnotation>) => IStructureParser<EventAnnotation>;
export declare type CreateStructureParser2<EventAnnotation> = ($p: {
    handler: IStructureHandler<EventAnnotation>;
    onError: IStructureErrorHandler<EventAnnotation>;
}) => IStructureParser<EventAnnotation>;
