import { IContentParser } from "../../../grammar/interface/interfaces/IContentParser";
import { ITreeHandler } from "../../../grammar/interface/interfaces/ITreeHandler";
import { ParsingError } from "../types/TreeParserError";
export declare type CreateTreeHandlerAndHandleErrorsParams<EventAnnotation> = {
    handler: ITreeHandler<EventAnnotation> | null;
    onError: ($: {
        error: ParsingError;
        annotation: EventAnnotation;
    }) => void;
};
export declare type CreateTreeParserAndHandleErrors<EventAnnotation> = ($p: CreateTreeHandlerAndHandleErrorsParams<EventAnnotation>) => IContentParser<EventAnnotation>;
export declare type CreateTreeParser<EventAnnotation> = (handler: ITreeHandler<EventAnnotation> | null) => IContentParser<EventAnnotation>;
