import { IResourceProvider } from "../../../etc/interface/interfaces/IResourceProvider";
import { ContextSchemaIssue } from "../../../typedTokenize/interface/interfaces/ContextSchemaIssue";
import { ContextSchemaResult } from "../../../typedTokenize/interface/interfaces/ContextSchemaResult";
import { IStructureParser } from "../../../grammar/interface/interfaces/IStructureParser";
import { CreateExternalSchemaLoader } from "../../../typedTokenize/interface/interfaces/CreateExternalSchemaLoader";
export declare type CreateStructureParserX<EventAnnotation> = (contextSchema: ContextSchemaResult<EventAnnotation>) => IStructureParser<EventAnnotation>;
export declare function createProcessorForASTNStreamWithContext<EventAnnotation>($: {
    schemaFileName: string;
    serializedDatasetBaseName: string;
}, $p: {
    contextSchemaProvider: IResourceProvider;
    onContextSchemaIssue: ($: ContextSchemaIssue) => void;
    fixmeOnResult: ($: IStructureParser<EventAnnotation>) => void;
}, createExternalSchemaLoader: CreateExternalSchemaLoader<EventAnnotation>, createStructureParser: CreateStructureParserX<EventAnnotation>): void;
