import { SchemaSchemaBuilder } from "../../../typedTokenize/interface/interfaces/SchemaSchemaBuilder";
import { ISchemaAndSideEffects } from "../../../typedTokenize/interface/interfaces/SchemaAndSideEffects";
import { IStructureHandler } from "../../../grammar/interface/interfaces/IStructureHandler";
import { CreateTreeParser } from "../../../astn/interface/interfaces/CreateTreeParser";
import { ITreeHandler } from "../../../grammar/interface/interfaces/ITreeHandler";
export declare function createSchemaHandler<SchemaAnnotation, BodyAnnotation>(getSchemaSchemaBuilder: (name: string) => SchemaSchemaBuilder<SchemaAnnotation, BodyAnnotation> | null, onError: () => void, onSchema: (schema: ISchemaAndSideEffects<BodyAnnotation> | null) => void, createTreeParser: CreateTreeParser<SchemaAnnotation>, createDummyTreeHandler: () => ITreeHandler<SchemaAnnotation>): IStructureHandler<SchemaAnnotation>;
