"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.printASTNUnmarshallError = void 0;
const pr = __importStar(require("pareto-runtime"));
const printSchemaDeserializationError_1 = require("./printSchemaDeserializationError");
const printUnmarshallError_1 = require("./printUnmarshallError");
function printASTNUnmarshallError($) {
    switch ($[0]) {
        case "unmarshall": {
            const $$ = $[1];
            return (0, printUnmarshallError_1.printUnmarshallError)($$);
        }
        case "embedded schema error": {
            const $$ = $[1];
            return (0, printSchemaDeserializationError_1.printSchemaDeserializationError)($$);
        }
        case "found both internal and context schema. ignoring internal schema": {
            return `found both internal and context schema. ignoring internal schema`;
        }
        case "invalid embedded schema": {
            return $[0];
        }
        case "no schema": {
            return "no schema found";
        }
        case "invalid schema reference": {
            return $[0];
        }
        case "loading error": {
            const $$$$ = $[1];
            return $$$$.message;
        }
        case "schema not found": {
            return `schema not found`;
        }
        default:
            return pr.au($[0]);
    }
}
exports.printASTNUnmarshallError = printASTNUnmarshallError;
