import { Location } from "./Location";
export declare type Range = {
    readonly start: Location;
    readonly length: number;
    readonly size: RangeSize;
};
export declare type RangeSize = [
    "single line",
    {
        "column offset": number;
    }
] | [
    "multi line",
    {
        "line offset": number;
        "column": number;
    }
];
