import * as grammar from "../../../grammar/interface";
import * as etc from "../../../etc/interface";
import { ASTNUnmarshallIssue } from "./ASTNUnmarshallIssue";
import { ContextSchemaResult } from "./ContextSchemaResult";
import { SchemaSchemaBuilder } from "./SchemaSchemaBuilder";
export declare type CreateASTNUnmarshaller<EventAnnotation> = ($p: {
    handler: {
        contextSchema: ContextSchemaResult<EventAnnotation>;
        referencedSchemaProvider: etc.IResourceProvider;
        onUnmarshallError: ($: ASTNUnmarshallIssue<EventAnnotation>) => void;
        getInternalSchemaSchemaBuilder: (name: string) => SchemaSchemaBuilder<EventAnnotation, EventAnnotation> | null;
    };
}) => grammar.IStructureHandler<EventAnnotation>;
