import * as def from "../../../typed/interface/interfaces/definitions";
import { DiagnosticSeverity } from "../../../etc/interface/types/DiagnosticSeverity";
import * as h from "../../../typed/interface/interfaces/ITypedTreeHandler";
export declare type ISchemaAndSideEffects<EventAnnotation> = {
    getSchema: () => def.Schema;
    createStreamingValidator: (onValidationError: (message: string, annotation: EventAnnotation, severity: DiagnosticSeverity) => void) => h.ITypedTreeHandler<EventAnnotation>;
};
