"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatCLI = void 0;
const astn_1 = require("../../../modules/astn");
const astn_2 = require("../../../modules/astn");
const astn_3 = require("../../../modules/astn");
const astn_4 = require("../../../modules/astn");
const astn_5 = require("../../../modules/astn");
function formatCLI(write, onError, createFormatter) {
    return (0, astn_4.createTokenizer)({
        parser: (0, astn_5.createStructureParser)({
            handler: createFormatter({
                indentationString: "    ",
                newline: "\r\n",
                write: (str) => {
                    write(str);
                },
                onError: ($) => {
                    onError(`${(0, astn_1.printParsingError)($.error)} @ ${(0, astn_3.printRange)($.annotation.range)}`);
                },
            }),
            onError: ($) => {
                onError(`${(0, astn_1.printParsingError)($.error)} @ ${(0, astn_3.printRange)($.annotation.range)}`);
            },
        }),
        onError: ($) => {
            onError(`${(0, astn_2.printTokenizerError)($.error)} @ ${(0, astn_3.printRange)($.range)}`);
        },
    });
}
exports.formatCLI = formatCLI;
