import * as astn from "../../interface";
import * as etc from "../../../etc/interface";
import * as grammar from "../../../grammar/interface";
import * as tokenLevel from "../../../tokenLevel/interface";
export declare function createTokenizer($p: {
    parser: grammar.IStructureParser<tokenLevel.TokenizerAnnotationData>;
    onError: ($: {
        error: astn.TokenizerError;
        range: tokenLevel.Range;
    }) => void;
}): etc.IStreamConsumer<string, null>;
