import * as grammar from "../../../grammar/interface";
import { IStructureErrorHandler } from "./IStructureErrorHandler";
export declare type CreateFormatterParameters<EventAnnotation> = {
    indentationString: string;
    newline: string;
    write: (str: string) => void;
    onError: IStructureErrorHandler<EventAnnotation>;
};
export declare type CreateFormatter<EventAnnotation> = ($: CreateFormatterParameters<EventAnnotation>) => grammar.IStructureHandler<EventAnnotation>;
