import { Range } from "../../../tokenLevel/interface/interfaces/Range";
import { IStreamConsumer } from "../../../etc/interface/interfaces/IStreamConsumer";
import { IStructureParser } from "../../../grammar/interface/interfaces/IStructureParser";
import { TokenizerError } from "../types/TokenizerError";
import { TokenizerAnnotationData } from "../../../tokenLevel/interface/interfaces/TokenizerAnnotationData";
export declare type CreateLoggingTokenizer = ($p: {
    parser: IStructureParser<TokenizerAnnotationData>;
    onError: ($: {
        error: TokenizerError;
        range: Range;
    }) => void;
}) => IStreamConsumer<string, null>;
export declare type CreateSimpleTokenizer = ($p: {
    parser: IStructureParser<TokenizerAnnotationData>;
}) => IStreamConsumer<string, null>;
