import { SchemaSchemaBuilder } from "../../../typedTokenize/interface/interfaces/SchemaSchemaBuilder";
import { ASTNUnmarshallIssue } from "../../../typedTokenize/interface/interfaces/ASTNUnmarshallIssue";
import { ContextSchemaResult } from "../../../typedTokenize/interface/interfaces/ContextSchemaResult";
import { IResourceProvider } from "../../../etc/interface/interfaces/IResourceProvider";
import { IStructureHandler } from "../../../grammar/interface/interfaces/IStructureHandler";
import { CreateTreeParser } from "../../../astn/interface/interfaces/CreateTreeParser";
import { CreateExternalSchemaLoader } from "../../../typedTokenize/interface/interfaces/CreateExternalSchemaLoader";
import { CreateTreeUnmarshaller } from "../../../typed/interface/interfaces/CreateTreeUnmarshaller";
export declare type CreateASTNUnmarshallerXX<EventAnnotation> = ($p: {
    handler: {
        contextSchema: ContextSchemaResult<EventAnnotation>;
        referencedSchemaProvider: IResourceProvider;
        onUnmarshallError: ($: ASTNUnmarshallIssue<EventAnnotation>) => void;
        getInternalSchemaSchemaBuilder: (name: string) => SchemaSchemaBuilder<EventAnnotation, EventAnnotation> | null;
    };
}) => IStructureHandler<EventAnnotation>;
export declare function createASTNUnmarshaller<EventAnnotation>($p: {
    handler: {
        contextSchema: ContextSchemaResult<EventAnnotation>;
        referencedSchemaProvider: IResourceProvider;
        onUnmarshallError: ($: ASTNUnmarshallIssue<EventAnnotation>) => void;
        getInternalSchemaSchemaBuilder: (name: string) => SchemaSchemaBuilder<EventAnnotation, EventAnnotation> | null;
    };
}, createBodyTreeParser: CreateTreeParser<EventAnnotation>, createTreeUnmarshaller: CreateTreeUnmarshaller<EventAnnotation>, createExternalSchemaLoader: CreateExternalSchemaLoader<EventAnnotation>): IStructureHandler<EventAnnotation>;
