import { SchemaSchemaBuilder } from "../../../typedTokenize/interface/interfaces/SchemaSchemaBuilder";
import { IStreamConsumer } from "../../../etc/interface/interfaces/IStreamConsumer";
import { TokenizerAnnotationData } from "../../../tokenLevel/interface/interfaces/TokenizerAnnotationData";
import { ISchemaAndSideEffects } from "../../../typedTokenize/interface/interfaces/SchemaAndSideEffects";
import { CreateLoggingTokenizer } from "../../../astn/interface/interfaces/CreateTokenizer";
import { CreateStructureParser } from "../../../astn/interface/interfaces/CreateStructureParser";
import { CreateTreeParserAndHandleErrors } from "../../../astn/interface/interfaces/CreateTreeParser";
import { ITreeHandler } from "../../../grammar/interface/interfaces/ITreeHandler";
export declare type ExternalSchemaCreaters<BodyEventAnnotation> = {
    getSchemaSchemaBuilder: (name: string) => SchemaSchemaBuilder<TokenizerAnnotationData, BodyEventAnnotation> | null;
    createTokenizer: CreateLoggingTokenizer;
    createStructureParser: CreateStructureParser<TokenizerAnnotationData>;
    createTreeParser: CreateTreeParserAndHandleErrors<TokenizerAnnotationData>;
    createDummyTreeHandler: () => ITreeHandler<TokenizerAnnotationData>;
    createLoggingTreeParser: CreateTreeParserAndHandleErrors<TokenizerAnnotationData>;
    onError: ($: {}) => void;
};
export declare function createExternalSchemaLoader<EventAnnotation>($p: {
    onFailed: () => void;
    onSucces: ($: ISchemaAndSideEffects<EventAnnotation>) => void;
    $c: ExternalSchemaCreaters<EventAnnotation>;
}): IStreamConsumer<string, null>;
