"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMarshallInterface = void 0;
const pr = __importStar(require("pareto-runtime"));
function createMarshallInterface(ds) {
    function createValueSerializeInterface(value) {
        return {
            toDictionary: (callback) => {
                if (value.type === null || value.type[0] !== "dictionary") {
                    throw new Error("Unexpected: missing or invalid dictionary");
                }
                const dict = value.type[1];
                callback({
                    entries: {
                        forEach: (callback2) => {
                            pr.Objectkeys(dict).forEach((key) => {
                                callback2(createValueSerializeInterface(dict[key]), key);
                            });
                        },
                        isEmpty: () => pr.Objectkeys(dict).length === 0,
                    },
                });
            },
            toGroup: (callback) => {
                if (value.type === null || value.type[0] !== "group") {
                    throw new Error("Unexpected: missing or invalid group");
                }
                const group = value.type[1];
                callback({
                    onProperty: (key, callback2) => {
                        const property = group[key];
                        if (property !== undefined) {
                            callback2(createValueSerializeInterface(property));
                        }
                    },
                });
            },
            toList: (callback) => {
                if (value.type === null || value.type[0] !== "list") {
                    throw new Error("Unexpected: missing or invalid list");
                }
                const list = value.type[1];
                callback({
                    elements: {
                        forEach: (callback2) => {
                            list.forEach((e) => {
                                callback2(createValueSerializeInterface(e));
                            });
                        },
                        isEmpty: () => list.length === 0,
                    },
                });
            },
            toMultilineString: (callback) => {
                if (value.type === null || value.type[0] !== "multiline string") {
                    throw new Error("Unexpected: missing or invalid multiline string");
                }
                callback(value.type[1]);
            },
            toSimpleString: (callback) => {
                if (value.type === null || value.type[0] !== "simple string") {
                    throw new Error("Unexpected: missing or invalid simple string");
                }
                callback(value.type[1]);
            },
            toTaggedUnion: (callback) => {
                if (value.type === null || value.type[0] !== "tagged union") {
                    throw new Error("Unexpected: missing or invalid tagged union");
                }
                const tu = value.type[1];
                if (tu.option !== null) {
                    callback({
                        option: tu.option,
                        value: createValueSerializeInterface(tu.value),
                    });
                }
            },
        };
    }
    return {
        root: createValueSerializeInterface(ds.root),
    };
}
exports.createMarshallInterface = createMarshallInterface;
