import { Schema } from "../../../typed/interface/interfaces/definitions";
import { ITypedTreeHandler } from "../../../typed/interface/interfaces/ITypedTreeHandler";
import { ITreeHandler } from "../../../grammar/interface/interfaces/ITreeHandler";
import { DiagnosticSeverity } from "../../../etc/interface/types/DiagnosticSeverity";
import { UnmarshallError } from "../../../typed/interface/interfaces/UnmarshallError";
import { DummyHandlers } from "./createValueUnmarshaller";
export declare function createTreeUnmarshaller<EventAnnotation>($: {
    schema: Schema;
    handler: ITypedTreeHandler<EventAnnotation>;
    onError: (message: UnmarshallError, annotation: EventAnnotation, severity: DiagnosticSeverity) => void;
    dummyHandlers: DummyHandlers<EventAnnotation>;
}): ITreeHandler<EventAnnotation>;
