import * as grammar from "../../../grammar/interface";
import * as etc from "../../../etc/interface/types/DiagnosticSeverity";
import * as typed from "..";
import { UnmarshallError } from "./UnmarshallError";
import * as typedTokenize from "../../../typedTokenize/interface";
export declare type CreateTreeUnmarshaller<EventAnnotation> = ($: {
    specification: typed.InternalSchemaSpecification;
    schemaAndSideEffects: typedTokenize.ISchemaAndSideEffects<EventAnnotation>;
    onError: (message: UnmarshallError, annotation: EventAnnotation, severity: etc.DiagnosticSeverity) => void;
}) => grammar.ITreeHandler<EventAnnotation>;
