export declare type Group = {
    [key: string]: Value;
};
export declare type Dictionary = {
    [key: string]: Value;
};
export declare type DSTaggedUnion = {
    option: null | string;
    value: Value;
};
export declare type Value = {
    type: null | ["dictionary", Dictionary] | ["list", Value[]] | ["tagged union", DSTaggedUnion] | ["simple string", string] | ["multiline string", string[]] | ["group", Group];
};
export declare type Datastore = {
    root: Value;
};
