import { SchemaError } from "./SchemaError";
import { IStructureHandler } from "../../../grammar/interface/interfaces/IStructureHandler";
import { ISchemaAndSideEffects } from "./SchemaAndSideEffects";
import { SchemaSchemaBuilder } from "./SchemaSchemaBuilder";
import { CreateTreeParserAndHandleErrors } from "../../../astn/interface/interfaces/CreateTreeParser";
export declare type CreateSchemaHandler<SchemaAnnotation, BodyAnnotation> = (getSchemaSchemaBuilder: (name: string) => SchemaSchemaBuilder<SchemaAnnotation, BodyAnnotation> | null, onError: (error: SchemaError, annotation: SchemaAnnotation | null) => void, onSchema: (schema: ISchemaAndSideEffects<BodyAnnotation> | null) => void, createTreeParser: CreateTreeParserAndHandleErrors<SchemaAnnotation>) => IStructureHandler<SchemaAnnotation>;
