import { ITreeHandler } from "../../../grammar/interface/interfaces/ITreeHandler";
import { ISchemaAndSideEffects } from "./SchemaAndSideEffects";
import { SchemaDeserializationError } from "./SchemaDeserializationError";
export declare type SchemaSchemaBuilder<SchemaAnnotation, BodyAnnotation> = (onSchemaError: (error: SchemaDeserializationError, annotation: SchemaAnnotation) => void, onSchema: (schema: ISchemaAndSideEffects<BodyAnnotation>) => void) => ITreeHandler<SchemaAnnotation>;
